com.ibm.openpages.api.respview

## Interface IRespViewFieldRule

-     public interface IRespViewFieldRule

  Represents a field dependency defined on a field in a responsive view.
  Since:
    8.0.0.1

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getCompareTo()` Returns the value/field to compare the current field's value to.
    `java.lang.String` | `getCondition()` Returns the condition, also called "operator" internally.
    `java.lang.String` | `getControllerName()` Returns the controllerName if set directly on the dependency.
    `java.util.List<IRespViewFieldRuleController>` | `getControllers()` Returns the list of controllers set on the rule.
    `java.lang.String` | `getField()` Gets the name of the field being compared in the case where field is not implicit (i.e.
    `java.lang.String` | `getOffset()` Returns the offset (in days) that will be used when doing date field comparisons.
    `java.lang.String` | `getRuleCategory()` Returns the dependency category as a string.
    `java.lang.String` | `getSeverity()` Returns the severity of the rules ("error", "warning", "info", "success").
    `java.lang.String` | `getType()` Returns the dependency type, also called "behavior" internally (e.g., "visible", "required", "equal").
    `void` | `setCompareTo(java.lang.String compareTo)` Sets the value/field to compare the current field's value to in a validation rule.
    `void` | `setCondition(java.lang.String type)` Sets the condition, i.e., does the dependency evaluate to true if "allOf" the controllers are true, or if "anyOf" the controllers are true.
    `void` | `setControllerName(java.lang.String controllerName)` Sets the controller name.
    `void` | `setControllers(java.util.List<IRespViewFieldRuleController> controllers)` Sets the list of controller for a rule.
    `void` | `setField(java.lang.String field)` Sets the name of the field being compared in the case where field is not implicit (i.e.
    `void` | `setOffset(java.lang.String offset)` Sets the offset (in days) that will be used when doing date field comparisons.
    `void` | `setSeverity(java.lang.String severity)` Sets the severity of the rule.
    `void` | `setType(java.lang.String type)` Sets the dependency type.

- - ### Method Detail

    - #### getType

          java.lang.String getType()

      Returns the dependency type, also called "behavior" internally (e.g., "visible", "required", "equal").
      Returns:
        the dependency type

    - #### setType

          void setType(java.lang.String type)

      Sets the dependency type.
      Parameters:
        `type` - String dependency type (e.g., "visible", "required", "equal")

    - #### getCondition

          java.lang.String getCondition()

      Returns the condition, also called "operator" internally. Expected values are "allOf" or "anyOf".
      Returns:
        the condition

    - #### setCondition

          void setCondition(java.lang.String type)

      Sets the condition, i.e., does the dependency evaluate to true if "allOf" the controllers are true, or if "anyOf" the controllers are true.
      Parameters:
        `type` - String condition (e.g., "allOf", "anyOf")

    - #### getControllerName

          java.lang.String getControllerName()

      Returns the controllerName if set directly on the dependency. This can be used for simple situations where we don't need to specify any additional info about the controllers.
      Returns:
        the controller name

    - #### setControllerName

          void setControllerName(java.lang.String controllerName)

      Sets the controller name.
      Parameters:
        `controllerName` - String controller name

    - #### getControllers

          java.util.List<IRespViewFieldRuleController> getControllers()

      Returns the list of controllers set on the rule. This can be used for more robust situations where we need to specify additional info about the controllers.
      Returns:
        `IRespViewFieldRuleController` The list of controllers for the dependency

    - #### setControllers

          void setControllers(java.util.List<IRespViewFieldRuleController> controllers)

      Sets the list of controller for a rule.
      Parameters:
        `controllers` - List

    - #### getField

          java.lang.String getField()

      Gets the name of the field being compared in the case where field is not implicit (i.e. in a grid filter)
      Returns:

    - #### setField

          void setField(java.lang.String field)

      Sets the name of the field being compared in the case where field is not implicit (i.e. in a grid filter)

    - #### getCompareTo

          java.lang.String getCompareTo()

      Returns the value/field to compare the current field's value to. It is functionally identical to controllerName. Which one the view designer uses depends on the rule (e.g., if setting up a state dependency using controllerName is appropriate, but if setting up a validation rule compareTo is more appropriate).
      Returns:
        the controller name

    - #### setCompareTo

          void setCompareTo(java.lang.String compareTo)

      Sets the value/field to compare the current field's value to in a validation rule.
      Parameters:
        `controllerName` - String controller name

    - #### getOffset

          java.lang.String getOffset()

      Returns the offset (in days) that will be used when doing date field comparisons.
      Returns:
        the offset

    - #### setOffset

          void setOffset(java.lang.String offset)

      Sets the offset (in days) that will be used when doing date field comparisons.
      Parameters:
        `offsett` - String offset

    - #### getSeverity

          java.lang.String getSeverity()

      Returns the severity of the rules ("error", "warning", "info", "success").
      Returns:
        severity

    - #### setSeverity

          void setSeverity(java.lang.String severity)

      Sets the severity of the rule. Can be: "error", "warning", "info", or "success"
      Parameters:
        `severity` - String

    - #### getRuleCategory

          java.lang.String getRuleCategory()

      Returns the dependency category as a string. There are three possible values: "state", "validation", and "picklist".
      Returns:
        String the dependency category.

Licensed Materials - Property of IBM
OpenPages with Watson (PID: 5725-D51)
© Copyright IBM Corporation 2013, 2022. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.